# Instructors

Instructors

 - [GET /instructors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/listinstructors.md): This method will scan all instructors and and return them to the caller.
 - [POST /instructors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/createinstructor.md): This method will auto-generate an ID and create a new instructor. If an ID is specified for the instructor, an error will be thrown.
 - [POST /instructors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /instructors/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/getinstructorpublic.md): This method will look up a instructor by the specified ID and return it back.
 - [GET /instructors/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/listinstructorsbytrainingproviderid.md): Returns a list of records with the specified training_provider_id
 - [DELETE /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/deleteinstructor.md): This method will delete a instructor with the specified ID.
 - [GET /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/getinstructor.md): This method will look up a instructor by the specified ID and return it back.
 - [PATCH /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/patchinstructor.md): This method will patch an existing instructor with the specified ID, using the HTTP PATCH specification.
 - [PUT /instructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/instructors/updateinstructor.md): This method will update an existing instructor with the specified ID.
